#include <Arduino.h>

const int gasSensorPin = 32; // Analog pin connected to the gas sensor
const int ledPin = 4;        // GPIO pin connected to the LED

void setup() {
  pinMode(ledPin, OUTPUT);   // Set the digital pin as output
  Serial.begin(9600);        // Set serial baud rate to 9600 bps
}

void loop() {
  int val = analogRead(gasSensorPin); // Read Gas value from analog pin
  Serial.println(val, DEC);           // Print the value to serial port

  if (val > 650) {                    // Check if the sensor reading is above the threshold
    digitalWrite(ledPin, HIGH);       // Turn on LED
  } else {
    digitalWrite(ledPin, LOW);        // Turn off LED
  }

  delay(100);                         // Delay for a while before reading again
}